## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelRuleBase Struct Reference

Interface for the Rule System. More...

`#include <tools/rulebase.h>`

List of all members.

## Public Member Functions

virtual void | AddPriority (csStringID priority)=0
| Add a priority.
virtual void | ClearPriorityTable ()=0
| Clear priority table.
virtual iCelRule * | CreateRule (const char *name)=0
| Create a new rule.
virtual void | DeleteRule (iCelRule *rule)=0
| Delete a rule.
virtual iCelRule * | FindRule (const char *name)=0
| Find a rule by name.
virtual const celRuleHash & | GetRules () const =0
| Iterate over the rules.

## Detailed Description

Interface for the Rule System.

Definition at line 90 of file rulebase.h.

## Member Function Documentation

virtual void iCelRuleBase::AddPriority | ( | csStringID | priority | ) | `[pure virtual]`

Add a priority.

Call this function as many times as you want. Every new priority you use here will get a higher priority then the previous priorities.

virtual void iCelRuleBase::ClearPriorityTable | ( |  | ) | `[pure virtual]`

Clear priority table.

virtual iCelRule* iCelRuleBase::CreateRule | ( | const char * | name | ) | `[pure virtual]`

Create a new rule.

virtual void iCelRuleBase::DeleteRule | ( | iCelRule * | rule | ) | `[pure virtual]`

Delete a rule.

virtual iCelRule* iCelRuleBase::FindRule | ( | const char * | name | ) | `[pure virtual]`

Find a rule by name.

virtual const celRuleHash& iCelRuleBase::GetRules | ( |  | ) | const`[pure virtual]`

Iterate over the rules.

The documentation for this struct was generated from the following file:

- tools/rulebase.h